Function
getFileExtension
Returns the file extension for the given file argument.
Only valid when argument is an INPUTFILE or OUTPUTFILE.
std::string getFileExtension(argument[, pos]);
Include Headers
seqan/arg_parse.h
Parameters

argument | The ArgParseArgument object. Types: ArgParseArgument
pos | The position of the value if multiple values are allowed. Types: unsigned

Remarks
Halts the program if the argument is not an input or output file argument.
Note that you can
Return Values
A std::string with the extension of the file, if any. Empty if no extension.
Member of
ArgParseArgument
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57